> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vexelia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user



## OpenAPI

````yaml GET /users/me
openapi: 3.0.1
info:
  title: Vexelia API
  description: >-
    The base Vexelia API for interfacing with the Vexelia platform through a
    REST interface.
  termsOfService: https://vexelia.com/terms
  contact:
    name: Support
    url: https://help.vexelia.com
    email: support@vexelia.com
  version: v0.0.1
servers:
  - url: https://api.vexelia.com
    description: The production Vexelia API
security:
  - bearer: []
tags:
  - name: Backup
    description: Controller that handles backing up and restoring VMs
  - name: HostNode
    description: Controller that handles getting and updating host nodes
  - name: Network
    description: Controller that handles network management for the platform
  - name: Node
    description: Handles the management of VPS servers and dedicated servers (nodes)
  - name: Payment
    description: Handles all payment-related systems and webhooks
  - name: Plan
    description: Controller that handles managing pricing plans
  - name: Template
    description: Manages templates for Proxmox
  - name: User
    description: >-
      Handles all user-related functions such as creating and authenticating
      users
  - name: Vnc
    description: Handles proxying VNC websockets to client safely
paths:
  /users/me:
    get:
      tags:
        - User
      summary: Gets the currently signed-in users data
      responses:
        '200':
          description: The users data was returned
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/UserResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/UserResponse'
        '401':
          description: Bad user authorization
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ObjectResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ObjectResponse'
components:
  schemas:
    UserResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Whether the operation was successful
        message:
          type: string
          description: The optional message given by the operation
          nullable: true
        data:
          $ref: '#/components/schemas/User'
      additionalProperties: false
      description: >-
        Generic response that most responses inherit or return on an API
        endpoint
    ObjectResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Whether the operation was successful
        message:
          type: string
          description: The optional message given by the operation
          nullable: true
        data:
          description: The optional return data from the operation
          nullable: true
      additionalProperties: false
      description: >-
        Generic response that most responses inherit or return on an API
        endpoint
    User:
      required:
        - addressInformation
        - firstName
        - ipAddress
        - lastName
        - locale
        - restrictions
        - sshKeys
      type: object
      properties:
        id:
          type: string
          nullable: true
        userName:
          type: string
          nullable: true
        normalizedUserName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        normalizedEmail:
          type: string
          nullable: true
        emailConfirmed:
          type: boolean
        securityStamp:
          type: string
          nullable: true
        concurrencyStamp:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        phoneNumberConfirmed:
          type: boolean
        twoFactorEnabled:
          type: boolean
        lockoutEnd:
          type: string
          format: date-time
          nullable: true
        lockoutEnabled:
          type: boolean
        accessFailedCount:
          type: integer
          format: int32
        firstName:
          maxLength: 32
          minLength: 2
          type: string
          description: The users first name
        lastName:
          maxLength: 32
          minLength: 2
          type: string
          description: The users last name
        locale:
          maxLength: 2
          minLength: 2
          type: string
          description: The country code the customer originates from
        customerId:
          maxLength: 72
          minLength: 8
          type: string
          description: "The users payment processor customer ID, this directly links to their customer profile on the respective platform.\r\nNull if the user has not been verified"
          nullable: true
        identityVerification:
          $ref: '#/components/schemas/IdentityVerificationState'
        identityVerificationSessionId:
          maxLength: 100
          minLength: 12
          type: string
          description: >-
            The ID for the identity verification session ongoing with the user
            at Stripe Identity
          nullable: true
        deletionDate:
          type: string
          description: The date and time the user should be deleted from the platform
          format: date-time
          nullable: true
        creationDate:
          type: string
          description: The date and time the user was created
          format: date-time
        ipAddress:
          maxLength: 45
          minLength: 8
          type: string
          description: The IP address that was used when the account was created
        addressInformation:
          $ref: '#/components/schemas/AddressInformation'
        restrictions:
          $ref: '#/components/schemas/Restrictions'
        sshKeys:
          type: array
          items:
            $ref: '#/components/schemas/SshKey'
      additionalProperties: false
      description: The standard user of Vexelia, contains nodes and other IDs
    IdentityVerificationState:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
      type: integer
      description: The current state of their identity verification
      format: int32
    AddressInformation:
      required:
        - addressLine
        - city
        - postalCode
        - state
      type: object
      properties:
        id:
          type: string
          description: The ID (primary key) of the entity
          format: uuid
        creationDate:
          type: string
          description: The date the entity was created
          format: date
        addressLine:
          maxLength: 255
          minLength: 1
          type: string
          description: The first address line
        city:
          maxLength: 255
          minLength: 1
          type: string
          description: The city they are in
        state:
          maxLength: 255
          minLength: 1
          type: string
          description: The state or province they are in
        postalCode:
          maxLength: 20
          minLength: 1
          type: string
          description: The postal/ZIP code the user is in
        secondaryAddressLine:
          maxLength: 255
          minLength: 0
          type: string
          description: The optional secondary address line
          nullable: true
        businessName:
          maxLength: 100
          minLength: 0
          type: string
          description: The optional business name for tax purposes
          nullable: true
      additionalProperties: false
      description: Address information for a user that can be used for billing
    Restrictions:
      type: object
      properties:
        id:
          type: string
          description: The ID (primary key) of the entity
          format: uuid
        creationDate:
          type: string
          description: The date the entity was created
          format: date
        isOutboundEmailBlocked:
          type: boolean
          description: Whether outbound email ports 25,587,465 are blocked
        maximumIpAddresses:
          type: integer
          description: The maximum amount of IPv4 addresses the user can have
          format: int64
        maximumVirtualServers:
          type: integer
          description: The maximum amount of virtual servers the user can have
          format: int64
        maximumSnapshots:
          type: integer
          description: The maximum amount of snapshots a user can have, snapshots = backups
          format: int64
        maximumBandwidthUsage:
          type: integer
          description: >-
            The maximum amount of bandwidth the user can use in bytes (Proxmox
            handles in bytes)
          format: int64
      additionalProperties: false
      description: The list of restrictions for a specific user
    SshKey:
      required:
        - fingerprint
        - key
        - label
      type: object
      properties:
        id:
          type: string
          description: The ID (primary key) of the entity
          format: uuid
        creationDate:
          type: string
          description: The date the entity was created
          format: date
        label:
          maxLength: 64
          minLength: 3
          type: string
          description: The friendly label for the SSH key
        fingerprint:
          maxLength: 128
          minLength: 3
          type: string
          description: The MD5 fingerprint of the SSH key
        key:
          maxLength: 4096
          minLength: 3
          type: string
          description: The actual SSH key to install onto the server
      additionalProperties: false
      description: Represents an SSH key configured on a users account
  securitySchemes:
    bearer:
      type: http
      description: Your API key goes here, you can generate one in your account settings.
      scheme: bearer
      bearerFormat: JWT

````